# Name:        NadeMod v1.0
#
# Author:      JoeyT2007
#
# Description: Modify the range and power of a hegrenade.

import es
from es import server_var
import gamethread

####SETTINGS####
nm_damage = es.ServerVar("nm_damage", 100, "Damage that hegrenade's cause, default = 100")
nm_radius = es.ServerVar("nm_radius", 350, "Radius of hegrenade, default = 350")
################

nademod_ver = es.ServerVar("nademod_ver", "1.0", "Version of nademod you are running.")
nademod_ver.makepublic()
es.set("eventscripts_noisy", 1)

def weapon_fire(event_var):
    if event_var["weapon"] == "hegrenade":
        global nm_userid
        nm_userid = event_var["userid"]
        gamethread.delayed(0.2, setprop)

def setprop():
    nm_player = es.getplayerhandle(nm_userid)
    nm_entlist = es.createentitylist("hegrenade_projectile")
    nm_string = 0
    nm_entity = 0
    nm_temp = 0
    for nm_temp in nm_entlist:
        nm_string = es.getindexprop(nm_temp, "CBaseGrenade.m_hThrower")
        if nm_string == nm_player:
            nm_entity = nm_temp
    if nm_entity:
        es.setindexprop(nm_entity, "CBaseGrenade.m_flDamage", nm_damage)
        es.setindexprop(nm_entity, "CBaseGrenade.m_DmgRadius", nm_radius)